local ____exports = {}
local ____math = require("functions.math")
local inRectangle = ____math.inRectangle
--- For `EntityType.EFFECT` (1000), `EffectVariant.DICE_FLOOR` (76).
____exports.DICE_FLOOR_TRIGGER_SQUARE_SIZE = 75
--- Helper function to see if a player is close enough to activate a Dice Room floor.
function ____exports.isCloseEnoughToTriggerDiceFloor(self, player, diceFloor)
    local topLeft = diceFloor.Position + Vector(-____exports.DICE_FLOOR_TRIGGER_SQUARE_SIZE, -____exports.DICE_FLOOR_TRIGGER_SQUARE_SIZE)
    local bottomRight = diceFloor.Position + Vector(____exports.DICE_FLOOR_TRIGGER_SQUARE_SIZE, ____exports.DICE_FLOOR_TRIGGER_SQUARE_SIZE)
    return inRectangle(nil, player.Position, topLeft, bottomRight)
end
return ____exports
